<template>
	<section>
		<div>
			<h1>Logout</h1>
		</div>
	</section>
</template>

<script lang="ts">
	import { useUser } from "@/composables/useUser.composable"
	import { defineComponent } from "vue"

	const { cleanUserLocalStorage } = useUser()
	export default defineComponent({
		name: "LogoutView",
		data() {
			return {}
		},
		methods: {
			logout() {
				cleanUserLocalStorage()
				alert("You have been logged out")
				location.href = "/"
			},
		},
		mounted() {
			this.logout()
		},
	})
</script>

<style scoped></style>
